# Vue.js Helper Libs
Vue.js Helpers for development with less configuration.

> This project was generated by [Vessel](https://www.npmjs.com/package/@mornya/vessel).

## About
Vue.js 프로젝트 부트스트래핑을 위한 라이브러리이며, 아래 내용이 포함된 헬퍼 모듈이다.

## Installation
해당 모듈을 사용할 프로젝트에서는 아래와 같이 설치한다.
```bash
$ npm install --save @mornya/vue-helper
or
$ yarn add @mornya/vue-helper
```

## Usage
src/main.js에서 각 router, store, plugins 등의 설정을 옵션으로 넘겨준다.
```vue
import Vue from 'vue'
import Vuex from 'vuex'
import * as appPlugins from '@/plugins'
import * as appRouter from '@/router'
import * as appModulesStore from '@/store'
import appRootStore from '@/store/root'
import App from '@/App'

const { buildEnv, router, store } = Maintainer.initialize(Vue, {
  isShowLog: process.env.NODE_ENV === 'development',
  router: {
    routes: appRouter,
    fallback: {
      // fallback to 404
      path: '/*',
      name: 'application.404',
      component: () => import(/* webpackChunkName: "application.404" */ '@/views/Application/PageNotFound.vue'),
    },
    option: {
      // Vue-Router 옵션
      base: process.env.BASE_URL,
      scrollBehavior () {
        return { x: 0, y: 0 }
      },
    },
  },
  store: {
    vuex: Vuex,
    root: appRootStore,
    modules: appModulesStore,
  },
  plugins: appPlugins,
})

Vue.prototype.$env = buildEnv

new Vue({
  router,
  store,
  render: h => h(App),
}).$mount('#app')
```

## License
해당 프로젝트의 [LICENSE](LICENSE) 파일 참조.
